import { ElementRef } from "@angular/core";
import StiJson from "../../system/StiJson";
export default abstract class StiFormObject {
    static readonly TYPE_PROPERTY_NAME: string;
    guid: string;
    type: string;
    element: ElementRef;
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    deserializeCollection(jObject: StiJson): any[];
    createElementClass(type: string): any;
}
